@charset "UTF-8";
/* このファイルはUTF-8のBOMなし(UTF-8N)で保存しています */

/**
 * CSS Information
 * ===============================================================
 *
 * File name: home.css
 * Summary:   モジュール用スタイル
 * Author:    CrEa Inc.
 *
 * -----------------------------------
 *
 * TOC:
 *     =1    home
 *
 * ===============================================================
*/

/** =1
 * ========================================
 * home
 * ========================================
*/
body[id="home"] {
}
body[id="home"] .l-contents {
  overflow-x: clip;
  position: relative;
  z-index: 1;
}
body[id="home"] .l-contents::after {
  position: absolute;
  z-index: -1;
  inset-block-end: 0;
  inset-inline-start: 0;
  width: min(561px, calc(324 / 390 * 100dvw));
  aspect-ratio: 561 / 254;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf3.png);
  background-position: 0% 100%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}
@media (max-width: 767px) {
  body[id="home"] .sectionRally:has(+ .sectionHomePrize) {
    padding-block-end: 88px;
    border-end-start-radius: 0;
    border-end-end-radius: 0;
  }
  body[id="home"] .sectionHomePrize + .sectionRally {
    border-start-start-radius: 0;
    border-start-end-radius: 0;
  }
}

/*========================================
 * intro
 * ========================================
 */
.mvHome {
  margin-block-end: clamp(24px, calc(40 / 768 * 100cqw), 40px);
}
.mvHome .mvHomeTitle img {
  width: 100%;
  height: auto;
}

.blockHome {
  position: relative;
}
.blockHome::before {
  position: absolute;
  z-index: 0;
  inset-block-start: min(-28px, calc(-86 / 1440 * 100dvw));
  inset-inline-start: calc(50% - 50vw);
  width: min(478px, calc(240 / 390 * 100dvw));
  aspect-ratio: 478 / 564;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf1.png);
  background-position: 0% 0%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}
.blockHome::after {
  position: absolute;
  z-index: 0;
  inset-block-end: min(-40px, calc(-96 / 1440 * 100dvw));
  inset-inline-end: calc(50% - 50vw);
  width: min(420px, calc(216 / 390 * 100dvw));
  aspect-ratio: 420 / 722;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf2.png);
  background-position: 0% 0%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}

/* 終了表示 */
.boxMessageClose {
  box-sizing: border-box;
  /* background-color: rgb(from var(--color-accent) r g b, 0.85); */
  background-color: rgba(230, 0, 18, 0.85);
  color: var(--color-text-bright);
  line-height: 1.4;
}
.boxMessageClose::before {
  position: absolute;
  content: "";
}
.boxMessageClose .boxMessageCloseText {
  font-weight: bold;
  text-align: center;
}
@media (max-width: 767px) {
  .boxMessageClose {
    position: relative;
    /* margin-block-start: 20px; */
    margin-block-end: 30px;
    margin-inline: 20px;
    padding: 20px;
    border-radius: 10px;
  }
  .boxMessageClose::before {
    inset: 3px;
    border: 2px solid var(--color-text-bright);
    border-radius: 7px;
  }
  .boxMessageCloseText {
    font-size: 1.6rem;
  }
}
@media (min-width: 768px) {
  .boxMessageClose {
    position: absolute;
    position: relative;
    /* bottom: 2.5%; */
    left: 50%;
    transform: translateX(-50%);
    width: 50%;
    margin-block-end: 30px;
    padding: 30px;
    border-radius: 15px;
  }
  .boxMessageClose::before {
    inset: 5px;
    border: 2px solid var(--color-text-bright);
    border-radius: 10px;
  }
  .boxMessageCloseText {
    font-size: 2rem;
  }
}

/*========================================
 * about
 * ========================================
 */
.sectionHomeAboutInner {
  display: flex;
  flex-direction: column;
  row-gap: calc(20 / 16 * 1em);
  font-size: clamp(1.4rem, calc(16 / 768 * 100cqw), 1.6rem);
  text-align: center;
}
.sectionHomeAboutTitle {
  color: var(--color-main);
  font-weight: 900;
  font-size: clamp(1.8rem, calc(24 / 768 * 100cqw), 2.4rem);
  line-height: 1.4;
}
.sectionHomeAboutText {
  line-height: 1.6;
}
@media (max-width: 767px) {
  .sectionHomeAboutText {
    text-align: left;
  }
}

/*========================================
 * howto
 * ========================================
 */
.sectionHomeHowTo {
  position: relative;
}

.sectionHomeHowTo .sectionHomeHowToTitle {
  position: relative;
  margin-block-end: clamp(32px, calc(48 / 768 * 100dvw), 48px);
}
.sectionHomeHowTo .sectionHomeHowToTitle::before {
  position: absolute;
  inset-block-end: -30px;
  inset-inline-start: max(-52px, calc(-28 / 390 * 100dvw));
  width: min(140px, calc(80 / 390 * 100dvw));
  aspect-ratio: 140 / 122;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_title_leaf1.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}
.sectionHomeHowTo .sectionHomeHowToTitle::after {
  position: absolute;
  inset-block-start: max(-78px, calc(-33 / 390 * 100dvw));
  inset-inline-end: max(-47px, calc(-33 / 390 * 100dvw));
  width: min(170px, calc(92 / 390 * 100dvw));
  aspect-ratio: 170 / 146;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_title_leaf2.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}

.sectionHomeHowTo .listHowToHome {
  display: grid;
}
@media (max-width: 767px) {
  .sectionHomeHowTo .listHowToHome {
    row-gap: min(40px, calc(32 / 390 * 100cqw));
  }
}
@media (min-width: 768px) {
  .sectionHomeHowTo .listHowToHome {
    grid-template-columns: repeat(3, 1fr);
    column-gap: 40px;
  }
}

.sectionHomeHowTo .listHowToHome .listHowToHomeItem {
  display: flex;
  flex-direction: column;
  row-gap: clamp(20px, calc(24 / 768 * 100cqw), 24px);
  position: relative;
  container-type: inline-size;
}

.sectionHomeHowTo .listHowToHome .listHowToHomeTitle {
  order: 2;
  margin-inline: auto;
  margin-block-start: -8px;
}
@media (max-width: 767px) {
  .sectionHomeHowTo .listHowToHome .listHowToHomeTitle {
    width: min(187px, calc(178 / 310 * 100cqw));
  }
}
@media (min-width: 768px) {
  .sectionHomeHowTo .listHowToHome .listHowToHomeTitle {
    width: min(187px, calc(187 / 300 * 100cqw));
  }
}

.sectionHomeHowTo .listHowToHome .listHowToHomeImage {
  order: 1;
  margin-inline: auto;
}
@media (max-width: 767px) {
  .sectionHomeHowTo .listHowToHome .listHowToHomeImage {
    width: min(184px, calc(176 / 310 * 100cqw));
  }
}
@media (min-width: 768px) {
  .sectionHomeHowTo .listHowToHome .listHowToHomeImage {
    width: min(184px, calc(184 / 300 * 100cqw));
  }
}

.sectionHomeHowTo .listHowToHome .listHowToHomeDescription {
  order: 3;
  overflow-x: clip;
  color: var(--color-text);
  font-size: clamp(1.8rem, calc(20 / 768 * 100dvw), 2rem);
  font-style: normal;
  font-weight: 700;
  line-height: 1.6;
}
.sectionHomeHowTo .listHowToHome .listHowToHomeDescription a:has(strong) {
  color: var(--color-accent);
}

.sectionHomeHowTo .listHowToHome .listHowToHomeDescription strong,
.sectionHomeHowTo .listHowToHome .listHowToHomeDescription span {
  font-weight: inherit;
}
.sectionHomeHowTo .listHowToHome .listHowToHomeDescription strong {
  color: var(--color-accent);
}

.sectionHomeHowTo .listHowToHome .listHowToHomeDescription .textCaution {
  margin-block-start: calc(12 / 12 * 1em);
  font-size: 1.2rem;
  font-weight: 400;
  line-height: 1.6;
}

.sectionHomeHowTo .sectionHomeHowToButton {
  margin-block-start: clamp(32px, calc(40 / 768 * 100cqw), 40px);
}
.sectionHomeHowTo .sectionHomeHowToButton .linkBtn {
  width: min(240px, calc(200 / 390 * 100dvw));
}

/*========================================
 * course
 * ========================================
 */
.sectionHomeCourse .sectionHomeCourseTitle {
  position: relative;
  margin-block-end: clamp(48px, calc(72 / 768 * 100dvw), 72px);
}
.sectionHomeCourse .sectionHomeCourseTitle::after {
  position: absolute;
  inset-block-start: max(-39px, calc(-23 / 390 * 100dvw));
  inset-inline-end: max(-38px, calc(-18 / 390 * 100dvw));
  width: min(140px, calc(80 / 390 * 100dvw));
  aspect-ratio: 140 / 122;
  rotate: 180deg;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_title_leaf1.png);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}

.sectionHomeCourse .sectionHomeCourseContent {
  display: flex;
  flex-direction: column;
  row-gap: clamp(24px, calc(40 / 768 * 100dvw), 40px);
}

.sectionHomeCourse .listCourseSummary {
  display: grid;
  column-gap: 64px;
  row-gap: clamp(40px, calc(56 / 768 * 100dvw), 56px);
}
@media (min-width: 768px) {
  .sectionHomeCourse .listCourseSummary {
    grid-template-columns: repeat(2, 1fr);
  }
}
.sectionHomeCourse .listCourseSummary img {
  width: calc(564 / 468 * 100%);
  max-width: initial;
  height: auto;
  margin: calc(-48 / 468 * 100%);
}

.sectionHomeCourse .sectionHomeCourseNotice {
  padding: 8px;
  background-color: var(--color-sub);
  color: var(--color-text-bright);
  font-size: clamp(1.6rem, calc(20 / 768 * 100dvw), 2rem);
  font-weight: 700;
  line-height: 1.6;
  text-align: center;
}

/*========================================
 * prize
 * ========================================
 */
.sectionHomePrize {
  position: relative;
  z-index: 0;
  margin-block-start: clamp(72px, calc(96 / 768 * 100cqw), 96px);
  color: var(--color-text-bright);
}
.sectionHomePrize .sectionHomePrizeTitle {
  width: min(236px, calc(195 / 390 * 100dvw));
  margin-block-end: clamp(80px, calc(96 / 768 * 100dvw), 96px);
  margin-inline: auto;
  filter: drop-shadow(2px 2px 7px rgb(from var(--color-text) r g b / 0.4));
}

.sectionHomePrize .listPrize {
  display: grid;
  column-gap: 10px;
  row-gap: min(80px, calc(72 / 390 * 100dvw));
  color: var(--color-text-bright);
}
@media (min-width: 768px) {
  .sectionHomePrize .listPrize {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}
.sectionHomePrize .listPrize .listPrizeItem {
  display: grid;
  row-gap: 16px;
  position: relative;
  box-shadow: 2px 2px 7px 0 rgb(from var(--color-text) r g b / 0.4);
  background-color: var(--color-accent);
  text-align: center;
}
.sectionHomePrize .listPrize .listPrizeItem::before {
  position: absolute;
  inset: 16px;
  border: 2px dashed var(--color-text-bright);
  pointer-events: none;
  content: "";
}
@media (min-width: 768px) {
  .sectionHomePrize .listPrize .listPrizeItem {
    grid-template-rows: subgrid;
    grid-row: span 2;
  }
}
.sectionHomePrize .listPrize .listPrizeTitle {
  justify-self: center;
  position: relative;
  z-index: 1;
  margin-block-start: calc(-60 / 326 * 100%);
  width: min(222px, calc(168 / 326 * 100%));
}

.sectionHomePrize .listPrize .listPrizeContent {
  display: flex;
  flex-direction: column;
  justify-content: center;
  row-gap: 12px;
  padding-inline: 32px;
  padding-block-end: clamp(48px, calc(64 / 768 * 100dvw), 64px);
}
.sectionHomePrize .listPrize .listPrizeName {
  font-size: clamp(2.6rem, calc(28 / 768 * 100dvw), 28px);
  font-weight: 900;
  line-height: 1.2;
}
.sectionHomePrize .listPrize .listPrizeNumber {
  font-size: 3.2rem;
  font-weight: 900;
  line-height: 1.2;
}

.sectionHomePrizeDeadline {
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: calc(32 / 24 * 1em);
  row-gap: calc(8 / 24 * 1em);
  margin-block-start: 24px;
  padding-block: 16px;
  padding-inline: 24px;
  border: 1px solid var(--color-text-bright);
  background-color: var(--color-accent-deep);
  color: var(--color-accent-sub);
  font-size: clamp(1.8rem, calc(24 / 768 * 100dvw), 2.4rem);
  font-weight: 700;
  text-align: center;
  line-height: 1.2;
}
@media (max-width: 767px) {
  .sectionHomePrizeDeadline {
    flex-direction: column;
  }
}
.sectionHomePrizeDeadline .sectionHomePrizeDeadlineTitle {
  padding-block: calc(6 / 16 * 1em);
  padding-inline: calc(8 / 16 * 1em);
  background-color: var(--color-accent-sub);
  color: var(--color-accent-deep);
  font-size: calc(16 / 24 * 1em);
}
.sectionHomePrizeDeadline .sectionHomePrizeDeadlineDate .fsLarge {
  font-size: calc(32 / 24 * 1em);
}

.sectionHomePrizeCaution {
  margin-block-start: calc(12 / 12 * 1em);
  font-size: 1.2rem;
  text-align: center;
  line-height: 1.6;
}

/*========================================
 * caution
 * ========================================
 */
.sectionHomeCaution {
  margin-block-start: clamp(40px, calc(80 / 768 * 100dvw), 80px);
}
.sectionHomeCaution .sectionHomeCautionTitle {
  margin-block-end: clamp(32px, calc(48 / 768 * 100dvw), 48px);
}

.sectionHomeCaution .sectionHomeCautionPrivacy:not(:first-child) {
  margin-block-start: clamp(32px, calc(48 / 1280 * 100cqw), 48px);
}
.sectionHomeCaution .sectionHomeCautionPrivacy .sectionHomeCautionPrivacyTitle {
  margin-block-end: calc(8 / 16 * 1em);
  color: var(--color-main);
  font-size: 1.6rem;
  font-weight: 900;
  line-height: 1.6;
}
.sectionHomeCaution
  .sectionHomeCautionPrivacy
  .sectionHomeCautionPrivacyContent {
  font-size: clamp(1.4rem, calc(16 / 768 * 100cqw), 1.6rem);
  line-height: 1.6;
}
